PDA

View Full Version : libs from ext1.0 to Ext 2.0 beta



mxu
22 Oct 2007, 12:04 PM
hi,

we have pages built by Ext 1.0 and would like to update to Ext 2.0.
below are the list of
[used libs at Ext 1.0] [conterpart at Ext2.0 beta]
EXT/Ext.ux.InfoPanel.js not found
EXT/ext-all.js ext_2.0/ext-all.js
EXT/adapter/yui/ext-yui-adapter.js ext_2.0/adapter/yui/ext-yui-adapter.js
EXT/yui-ext.js not found
EXT/adapter/yui/yui-utilities.js ext_2.0/adapter/yui/yui-utilities.js
EXT/resources/css/ext-all.css ext_2.0/ resources/css/ext-all.css

what corresponding libs should I should pick from Ext 2.0 beta base upon the list of libs used at Ext 1.0 ?

many thanks

ming

antimatter15
22 Oct 2007, 12:13 PM
i'm quite sure Ext 2.0 has a native infopanel equivalent, and i don't see why you would need yui-ext.js

mxu
22 Oct 2007, 1:17 PM
probably I should start including all *. js to see whether it works or not,
is there simple way to include all *.js fiels ?

devnull
22 Oct 2007, 1:38 PM
as the name implies, ext-all.js should include everything (except the non-Ext adapters).
note also that Ext 2.0 is NOT 100% API compatible with Ext 1.x. Very few apps are going to work without modification.

Animal
22 Oct 2007, 1:44 PM
http://extjs.com/forum/showthread.php?t=15614